Subject: [bug#40274] [PATCH v4] gnu: Add kernel-module-loader-service.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 3 Apr 2020 15:03:16 +0200

On Thu, Apr 02, 2020 at 12:40:00PM +0000, Brice Waegeneire wrote:
> On 2020-04-01 19:34, pelzflorian (Florian Pelz) wrote:
> > failed to load service: kernel-module-loader
> This a message saying it can't load that service, in this case because
> it's parameters weren't formatted correctly, this is not specific to
> this service that's how shepherd handle failing to load a service.
> Please open a new issue about it if you think (as I do) that shepherd
> should be more explicit when it fails to load a service.

I meant compilation could fail if the parameters are incorrect.  I do
not know how else Shepherd should fail.  But this is not very
important and applies to many other services as well.

Thank you for adding logging.  All this works well (in testing, I have
not read the code).

Regards,
Florian